
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Installing the Unet_Watershed environment &#8212; seg_compare 0.0.1 documentation</title>
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installing the Unet_Watershed environment</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="tex2jax_ignore mathjax_ignore section" id="installing-the-unet-watershed-environment">
<h1>Installing the Unet_Watershed environment<a class="headerlink" href="#installing-the-unet-watershed-environment" title="Permalink to this headline">¶</a></h1>
<p>Create and activate a new environment as follows:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">create</span> <span class="pre">-n</span> <span class="pre">unet_ws</span> <span class="pre">python=3.6</span> <span class="pre">anaconda</span></code>
<code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">unet_ws</span></code></p>
<p>Clone the ISBI2019 branch at https://bitbucket.org/jstegmaier/cellsegmentation/src/ISBI2019/
<code class="docutils literal notranslate"><span class="pre">git</span> <span class="pre">clone</span> <span class="pre">-b</span> <span class="pre">ISBI2019</span> <span class="pre">https://bitbucket.org/jstegmaier/cellsegmentation.git</span></code></p>
<p>Install pip
<code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">install</span> <span class="pre">-c</span> <span class="pre">anaconda</span> <span class="pre">pip</span></code></p>
<p>Navigate inside the folder <code class="docutils literal notranslate"><span class="pre">cellsegmentation</span></code> and install the dependencies using:
<code class="docutils literal notranslate"><span class="pre">pip</span> <span class="pre">install</span> <span class="pre">-r</span> <span class="pre">requirements.txt</span></code></p>
<p>The current (2020) versions of the libraries are the following:</p>
<p>absl-py==0.9.0
astor==0.7.1
certifi==2018.10.15
cloudpickle==0.6.1
cycler==0.10.0
dask==0.19.4
decorator==4.3.0
emoji==0.5.1
gast==0.2.2
grpcio==1.15.0
h5py==2.8.0
Keras==2.2.4
Keras-Applications==1.0.8
Keras-Preprocessing==1.0.5
kiwisolver==1.0.1
Markdown==3.0.1
matplotlib==3.0.0
networkx==2.2
numpy==1.16.0
pandas==0.23.4
Pillow==5.3.0
protobuf==3.6.1
pyparsing==2.2.2
python-dateutil==2.7.3
pytz==2018.5
PyWavelets==1.0.1
PyYAML==3.13
scikit-image==0.15
scikit-learn==0.20.0
scipy==1.1.0
setuptools==41.0.0
six==1.11.0
tensorboard==1.15.0
tensorflow-gpu==1.15
termcolor==1.1.0
toolz==0.9.0
Werkzeug==0.15</p>
<p>After the library installations, go to the data preparation and training step. Training command is to be run within this environment. After the training and prediction from the Unet, the final step is Watershed based post processing of Unet outputs.</p>
<p>The Watershed based post processing of Unet outputs have to be done in a separate environment.
To install this environment, deactivate the unet_ws environment with</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">deactivate</span></code></p>
<p>Then create the new environment with the command:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">env</span> <span class="pre">create</span> <span class="pre">--name</span> <span class="pre">mars</span> <span class="pre">--file=mars_env.yaml</span></code>
<code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">mars</span></code></p>
<p>The <code class="docutils literal notranslate"><span class="pre">mars_env.yaml</span></code> file may be found under docs/environments
You can then go to the final watershed based post processing part for getting 3D segmentations.</p>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/environments/unet_env.md.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installing the Unet_Watershed environment</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Anuradha Kar.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 3.2.1.
    </div>
  </body>
</html>